Subject: Subclassing and a couple of other things
From: [email-masked] (Simon Vilmer Pedersen)

11 Aug 1998 10:45:40 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: <[email-masked]>

Hi all.

I am experimenting a bit with window subclassing, in specific subclassing the window of the IRC program mIRC from another program. But I cannot seem to get it to work like in the SDK.
First I get the hwnd of the window, with FindWindow("mIRC",NULL)
and it returns the proper hwnd.
But when I then call orgWinProc = (WNDPROC)SetWindowLong(hwnd,GWL_WINPROC,(LONG)WinProc) it returns NULL, and a test with GetWindowLong shows that the above command had no effect. But GetLastError returns 0. Anyone who can help me with this?

A couple of other questions:
1. Is it possible to get DDE to work with GNU-Win32, I cannot seem to find DdeClientTransaction in any of the libs?
2. Can you get GLIDE (3Dfx) working with GNU-Win32 b19.1? I found a guide for it, but it was for beta 17 and there are a lot of unresolved external references.

Thanks in advance
Simon Vilmer Pedersen

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".